comstackr libdnet para python 2.7

Estoy tratando de usar scapy en win32 python2.7

Me las arreglé para comstackr todas las otras dependencias esperadas esta

¿Puede alguna ayuda en el objective de alcanzar este ejecutable? “dnet-1.12.win32-py2.7.exe”

(Prometo actualizar esta pregunta también y el manual de Scapy,

Ejecutando Scapy en Windows con Python 2.7 )

Actualizar:

Logré comstackrlo con mingw32. Estoy usando vs2005, y tengo que hacer algunas correcciones a libdnet para que realmente funcione (parece que la última vez que lo comstackron en windows fue con vs6.0

Intentaré actualizar el manual de Scapy … (y cargaré los ejecutables allí)

¿Leíste el archivo README? Descargue el código fuente de http://prdownloads.sourceforge.net/libdnet/libdnet-1.11.tar.gz?download , extráigalo y vea README:

Windows 2000/XP --------------- For raw Ethernet sending, install the WinPcap driver and DLLs, and extract their developer pack to a build directory: http://winpcap.polito.it/install/default.htm # XXX - unsupported for now # For tunnel interface support, install the OpenVPN "TAP-Win32 Virtual # Ethernet Adapter" component (their Windows installer will let you # install it alone): # # http://openvpn.sourceforge.net/ For firewall support, install HSC's PktFilter service: http://www.hsc.fr/ressources/outils/pktfilter/index.html.en Most Windows developers should just use the libdnet developer's pack (with MinGW and MSVC++ libraries) instead of building it themselves. But for those who really want to know... To build a MinGW native library (under Cygwin+MinGW): ./configure && make To build a Microsoft Visual C++ native library and Python module (again, under Cygwin+MinGW): ./configure cd python && C:/Python23/python.exe setup.py build cd ../src && lib /out:dnet.lib *.obj 

Como probablemente notaste, necesitarás Cygwin + MinGW. No sé si desea la biblioteca nativa de MinGW o la biblioteca nativa de Microsoft Visual C ++. También tenga en cuenta que tiene que usar C: /Python27/python.exe para comstackrlo.

Si lo intentas, puedes encontrar un problema concreto que supongo, que es muy probable que, aunque no sea necesario al 100%, se ponga mejor en una nueva pregunta y es mejor que preguntes a la lista de correo de libdnet si tienes problemas de comstackción.

Dirk Loss proporciona un instalador de Windows para el paquete dnet para Python 2.7 . Junto con el instalador de Windows para el paquete pypcap para Python 2.7 , pude ejecutar Scapy con éxito en Python 2.7 en Windows.